{% extends "ajax/ajax_plain.html.twig" %}
{% block ajax_base %}
    {# @var posts \App\Entity\Post[] #}

    <div class="forum-posts">
        {% for post in posts %}
            {% if not post.hidden or is_granted("ROLE_CROW") %}
                <div class="forum-post {% if not post.hidden %}{% else %}forum-post-hidden{% endif %} {% if post.new %}forum-post-new{% endif %} {% if markedPost is defined and post.id == markedPost %}forum-post-marked{% endif %}" id="{{post.id}}">
                    <div class="forum-post-header {% if post.owner.name == 'Der Rabe' %}header-variant-crow{% elseif post.type == "DEV" %}header-variant-dev{% endif %}">
                        <i>
                            {% if post.date >= 'today'|to_date %}
                                {{ 'Heute um'|trans({},'global') }} {{ post.date|format_datetime('none', 'short') }}
                            {% elseif post.date >= 'yesterday'|to_date %}
                                {{ 'Gestern um'|trans({},'global') }} {{ post.date|format_datetime('none', 'short') }}
                            {% else %}
                                {{ post.date|format_datetime('medium', 'short') }}
                            {% endif %}
                        </i>
                        {% if (post.owner.avatar) %}
                            {% if post.owner.name == 'Der Rabe' %}
                                <div class="avatarcrow small"><img alt="" src="{{ asset('build/images/forum/crow/crow.small.' ~ (app.request.locale|e('html_attr')|split('_', 2))[0] ~ '.png') }}"></div>
                            {% else %}
                                <div class="avatar small ua-{{ random(0,9) }}"><img alt="" src="{{ path('app_web_avatar', {'uid': post.owner.id, 'name': post.owner.avatar.smallName, 'ext': post.owner.avatar.format}) }}"></div>
                            {% endif %}
                        {% else %}
                            <div class="avatar small ua-{{ random(0,9) }}"><img alt="" src="{{ asset('build/images/forum/empty_avatar.gif') }}"></div>
                        {% endif %}
                        <b>
                            {% if post.owner.name == 'Der Rabe' %}
                            	{% if post.translate %}
                        			{{ 'Der Rabe'|trans({},'global') }}
                        		{% else %}
                        			<a class="link" href="{{ path('soul_visit', {id: post.owner.id}) }}">{{ 'Der Rabe'|trans({},'global') }}</a>
                        		{% endif %}
                            {% elseif post.type == "DEV" %}
                                <a class="link" href="{{ path('soul_visit', {id: post.owner.id}) }}">{{ post.owner.name }}</a>
                                <img alt="" src="{{ asset('build/images/icons/small_admin.gif') }}" />
                            {% else %}
                                <a class="link" href="{{ path('soul_visit', {id: post.owner.id}) }}">{{ post.owner.name }}</a>
                            {% endif %}
                        </b>
                        {% if post.note is not null %}<div class="right post-note">{{ post.note|raw }}</div>{% endif %}
                    </div>
                    <div class="forum-post-content">
                        {{ post.translate ? (post.text|trans({},'game')|raw) : (post.text|raw) }}
                    </div>
                </div>
            {% endif %}
        {% endfor %}
        <div class="right"><span class="small button" x-ajax-target="default" x-ajax-href="{{ url('forum_thread_view', {fid: fid, tid: tid}) }}" style="width: 12rem;"><img alt="" src="{{ asset('build/images/forum/r_forum.gif') }}"> {{ 'Zum Forum'|trans({},'game') }}</span></div>
    </div>
{% endblock %}